Subject: [core] draft-ietf-core-coap-06: Proxying and Uri-Port

From: "Kovatsch Matthias" <[email-masked]>
Date: Wed, 11 May 2011 17:12:11 +0000

Hey there

>From the text in the coap-06 draft I do not really get how the Proxy-Uri option relates to the normal Uri options and what the Uri-Port option is used for. Also the mail archive did not help much.

I understood proxying this way:
To issue a request via proxy, the client sets the URI in the Proxy-Uri option and the proxy takes on then (forward/request to server/check if Proxy-Uri points to itself). Not splitting into separate options as usual is nice because any URI can be requested by CoAP clients (protocol translation...).
What about the normal Uri options when the Proxy-Uri is set?
Can they be of use in this case?
SHOULD or MUST they be empty?

What is the Uri-Port option for?
Uri-Host is clear, as it enables CoAP vhosts. But there are no virtual names for ports!?
Is it to forward requests sent to the compressed port range of 6LoWPAN to the "normal" server running at a different port, e.g. 5683? But in such a case the server would simply listen on both ports, no?

I think, I read this before and must agree, "origin server" is a quite confusing term in the draft.

Ciao
Matthias